:root {
    --page-text-color: #fff;
    --page-secondary-bg: #013DD9;
    --page-primary-bg: #000000;
    --text-light: #3F4751;
}

.page-text-color {
    color: var(--page-text-color);
}

.page-secondary-bg {
    background-color: var(--page-secondary-bg);
}

.page-primary-bg {
    background: var(--page-primary-bg);
}

.dark-layout {
    background-color: var(--page-secondary-bg);
}

.text-light {
    color: var(--text-light) !important;
}

.button-primary {
    background-color: var(--page-secondary-bg);
    font-family: 'Gilroy' !important;
    border-radius: 8px !important;
    border: 1px solid var(--page-secondary-bg) !important;
}

.button-primary.button-theme {
    background-color: var(--primary-color-600);
}

.button-primary.button-primary-white {
    background-color: var(--white-color);
    color: var(--page-secondary-bg);
}

.button-primary.button-theme:hover {
    background-color: var(--white-color) !important;
    color: var(--page-text-color) !important;
}

.circle-icon,
.border-0 {
    border: none;
}

.rounded-10 {
    border-radius: 10px;
}

.rounded-20 {
    border-radius: 20px;
}

.bg-grey {
    background: #F5F5F7;
}

.theme-bg {
    background-color: var(--page-secondary-bg);
}

.highlight-txt {
    color: var(--page-secondary-bg);
}

.cus-border {
    border: 1px solid var(--page-secondary-bg);
}

.text-grey {
    color: #ccc;
}

.w-fit {
    width: fit-content;
}

.bg--light {
    background: #FAEDFF;
}

.animatedimage {
    animation: floatUpDown 2s ease-in-out infinite;
}

.cover {
    object-fit: cover;
}

.swiper-slide {
    height: auto !important;
}

.micro-list p {
    display: flex;
    align-items: flex-start;
    margin: 0;
    gap: 10px;
}

.micro-list p img {
    position: relative;
    top: 8px;
}

/* common css end */

/* faq css */
button.accordion-button {
    color: #fff;
    background: transparent !important;
}

.accordion-item {
    background: transparent !important;
}

.faq-blocks {
    border-top: 1px solid var(--page-secondary-bg) !important;
}

.faq-blocks .accordion-item {
    border-bottom: 1px solid var(--page-secondary-bg) !important;
}

.accordion-body {
    color: #000000 !important;
}

.faq-blocks .accordion-button:not(.collapsed) {
    color: var(--page-secondary-bg) !important;
}

/* counter */
.count-col {
    position: relative;
    z-index: 1;
}

.count-col:not(:last-child)::before {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 1px;
    height: 80%;
    background: radial-gradient(circle at 50% 50%, rgba(255, 255, 255, 0.55), transparent 100%);
}

/* offers card */
.offers-card {
    transition: 0.5s all ease;
}

.offers-card .offers-card-detail {
    margin-left: 80px;
    background: #fff;
    color: #000;
    transition: 0.5s all ease;
    padding: 20px;
    border-radius: 10px;
}

.offers-card:hover .offers-card-detail {
    color: #fff;
    background: var(--page-secondary-bg);
    padding-left: 30px;
}

.offers-card .offers-card-img {
    width: 80px;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    left: 10px;
    position: absolute;
    top: 0;
    transition: 0.5s all ease;
    padding: 10px;
}

.offers-card:hover .offers-card-img {
    top: calc(50% - 30px);
    background: #0393FB;
}

.ai-dev-swiper .swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    background-color: #013DD9;
    opacity: 0.3;
    border-radius: 50%;
    transition: all 0.3s ease;
}

.ai-dev-swiper .swiper-pagination-bullet-active {
    background-color: #013DD9;
    opacity: 1;
    width: 28px;
    border-radius: 10px;
}

.ai-dev-card {
    background: #fff;
    transition: 0.5s all ease;
    color: #000;
}

.ai-dev-card:hover {
    background: var(--page-secondary-bg);
    color: #fff;
}

/* platform-table */
.platform-table thead,
.platform-table thead * {
    border-bottom: 0 !important;
}

.platform-table .table-dark th,
.platform-table .table-dark td {
    border-color: #e0e0e066;
    background: #0A0A0A;
}

.platform-table thead th,
.platform-table tbody td:hover {
    background: #2b2b2b !important;
}

.platform-table .table-dark th:nth-child(2),
.platform-table .table-dark td:nth-child(2) {
    border-left: 1px solid #e0e0e066;
    border-right: 1px solid #e0e0e066;
}

/* platform-table */

.row.steps-row {
    gap: 100px;
    position: relative;
    z-index: 1;
}

.row.steps-row>.steps-cols {
    width: 100%;
    max-width: 50%;
    padding: 0 50px;
    position: relative;
    z-index: 1;
}

.row.steps-row>.steps-cols::after {
    content: "";
    position: absolute;
    right: -15px;
    top: 0;
    width: 30px;
    height: 30px;
    background: #fff;
    border: 4px solid var(--page-secondary-bg);
    border-radius: 100%;
    transition: 0.5s all ease;
}

.row.steps-row>.steps-cols.active::after {
    animation: pulseCircle 2s infinite;
    border: 8px solid var(--page-secondary-bg);
}

.row.steps-row>.steps-cols:nth-child(odd)::after {
    right: unset;
    left: -15px;
}

.row.steps-row::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    width: 1px;
    height: 100%;
    border-left: 2px dashed #ADADAD;
}

/* steps end */


/* Choose Wrapper */
.why-choose-grid {
    display: grid;
    grid-template-areas:
        'div1 . . . . . div5'
        'div1 div2 . . . div4 div5'
        '. div2 . div3 . div4 .'
        '. . . div3 . . .'
        '. . . . . . .';
    position: relative;
    gap: 150px 0;
    margin: -150px 0 0 0;
}

.why-choose-block {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    text-align: center;
    z-index: 1;
    width: 200px;
}

.why-choose-grid div:nth-child(1) {
    grid-area: div1;
}

.why-choose-grid div:nth-child(2) {
    grid-area: div2;
    margin-top: -24px;
}

.why-choose-grid div:nth-child(3) {
    grid-area: div3;
    margin-top: -20px;
}

.why-choose-grid div:nth-child(4) {
    grid-area: div4;
    margin-top: -24px;
}

.why-choose-grid div:nth-child(5) {
    grid-area: div5;
}

.border-img-wrap {
    border: 3px solid var(--white-color);
}

@keyframes floatUpDown {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(30px);
    }

    100% {
        transform: translateY(0px);
    }
}

@keyframes pulseCircle {

    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

/* Responsive */

@media (min-width: 1201px) {
    .solutions-col .media {
        max-width: 90%;
    }

    .solutions-col .media:nth-child(even) {
        margin-left: auto;
    }

    .inline-row>div {
        flex: 1;
    }
}

@media only screen and (max-width: 1024px) {
    .sticky-column {
        position: static;
    }
}

@media (max-width: 991px) {
    .why-choose-grid {
        gap: 30px 0;
        grid-template-columns: repeat(3, 1fr);
        grid-template-areas: none;
        margin: 30px 0 0;
    }

    .why-choose-grid div:nth-child(4) {
        display: none !important;
    }

    .why-choose-block {
        width: 100%;
        grid-area: auto !important;
        margin: 0 !important;
    }
}

@media (max-width: 767px) {

    .row.steps-row {
        gap: 30px;
        padding-left: 30px;
    }

    .row.steps-row>.steps-cols {
        max-width: 100%;
        padding: 0 15px;
    }

    .row.steps-row::before {
        right: unset;
        left: 20px;
        top: 10px;
    }

    .row.steps-row>.steps-cols::after {
        width: 20px;
        height: 20px;
        top: 10px;
        left: -20px;
    }

    .row.steps-row>.steps-cols:nth-child(odd)::after {
        left: -20px;
    }

    .solutions-col .media img {
        margin-left: auto;
        margin-right: auto;
    }

    .platform-table .table-dark th,
    .platform-table .table-dark td {
        white-space: nowrap;
    }

    .count-detail {
        border: 1px solid #cccccc38;
        border-radius: 10px;
    }
}

@media only screen and (max-width: 550px) {
    .why-choose-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .w-50 {
        width: 100% !important;
    }
}